/*
 * System Interface Library for games
 * Copyright (c) 2007-2014 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/test/sysdep/linux/movie.c: Tests for the FFmpeg-based Linux
 * implementation of the system-level movie playback interface.
 */

#ifdef INCLUDE_TESTS  // To the end of the file.

#include "src/base.h"
#include "src/test/base.h"
#include "src/test/movie/internal.h"

/*************************************************************************/
/*************************************************************************/

int test_linux_movie(void)
{
    /* These tests will only work if FFmpeg is enabled; they are only
     * meaningful if WebM software decoding is also enabled (so the core
     * tests use the software decoder). */
#if !defined(SIL_MOVIE_INCLUDE_WEBM)
    return 1;  // The sysdep code was already tested by the core.
#elif !defined(SIL_PLATFORM_LINUX_USE_FFMPEG)
    SKIP("FFmpeg not enabled.");
#else
    if (!test_movie_core_with_extension(".mp4")) {
        FAIL("Previous failure(s) occurred using sysdep/linux movie interface");
    }
    return 1;
#endif
}

/*************************************************************************/
/*************************************************************************/

#endif  // INCLUDE_TESTS

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
